# NixOS Configurations

My NixOS configurations with dotfiles for my desktop

![Screenshot of desktop](./assets/desktop.png)

## Includes

|        |            |
|--------|------------|
| WM     | Hyprland   |
| Shell  | Fish       |
| Prompt | Starship   |
| Theme  | Catppuccin |

## Commands

Format all .nix files

```Shell
  ./fmt
```

Rebuild and test Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  ./test
```

Rebuild and switch Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  ./rebuild
```
