# System configurations for Hyprland. For home configs, see ./home-manager/hyprland
{ pkgs, ... }:

{
  imports = [
    ./wallpaper.nix
  ];

  environment.systemPackages = with pkgs; [
    xdg-desktop-portal-hyprland
    hyprpolkitagent # Auth deamon providing modals for password auth
    hyprshot # Screenshots
    waybar
  ];

  programs = {
    hyprland = {
      enable = true;
      xwayland.enable = true;
    };
    hyprlock.enable = true; # Lock screen
  };

  services.hypridle.enable = true; # Lock when unused
}
