let
  common = import ../../common.nix;
in
{
  home.sessionVariables = {
    HYPRSHOT_DIR = "${common.dir.pictures}/screenshots"; # Store screenshots here
  };

  wayland.windowManager.hyprland.settings = {
    "$mainMod" = "SUPER";
    "$shiftMod" = "$mainMod SHIFT";

    bind = [
      "$mainMod, PRINT, exec, hyprshot -m window" # Window
      ", PRINT, exec, hyprshot -m output" # Monitor
      "$shiftMod, PRINT, exec, hyprshot -m region" # Region
    ];
  };
}
