# Log out and shutdown menu
{ ... }:

{
  home.file = {
    ".config/wlogout/hibernate.svg".source = ./hibernate.svg;
    ".config/wlogout/lock.svg".source = ./lock.svg;
    ".config/wlogout/logout.svg".source = ./logout.svg;
    ".config/wlogout/reboot.svg".source = ./reboot.svg;
    ".config/wlogout/shutdown.svg".source = ./shutdown.svg;
    ".config/wlogout/suspend.svg".source = ./suspend.svg;
  };

  programs.wlogout = {
    enable = true;
    layout = [
      {
        label = "lock";
        action = "sh -c '(sleep 0.5s; hyprlock)'";
        text = "Lock";
        keybind = "l";
      }
      {
        label = "hibernate";
        action = "systemctl hibernate";
        text = "Hibernate";
        keybind = "h";
      }
      {
        label = "logout";
        action = "loginctl terminate-user $USER";
        text = "Logout";
        keybind = "e";
      }
      {
        label = "shutdown";
        action = "systemctl poweroff";
        text = "Shutdown";
        keybind = "s";
      }
      {
        label = "suspend";
        action = "systemctl suspend";
        text = "Suspend";
        keybind = "u";
      }
      {
        label = "reboot";
        action = "systemctl reboot";
        text = "Reboot";
        keybind = "r";
      }
    ];
    style = ./style.css;
  };
}
