{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    font-awesome # Icons
  ];

  fonts = {
    fontconfig.enable = true;
    packages = with pkgs; [
      (nerdfonts.override { fonts = [ "JetBrainsMono" ]; })
      jetbrains-mono
      # The line below will replace the lines above in 25.05
      # nerd-fonts.jetbrains-mono
      font-awesome
    ];
  };

}
