{ pkgs, ... }:
let
  common = import ../../common.nix;
in
{
  environment.systemPackages = with pkgs; [
    nautilus
    ffmpegthumbnailer # Thumbnails
  ];

  programs.nautilus-open-any-terminal = {
    enable = true;
    terminal = common.terminal;
  };
}
