{ pkgs, ... }:

{
  imports = [
    ./nvidia.nix
  ];

  # For hardware acceleration
  environment.sessionVariables.LIBVA_DRIVER_NAME = "iHD";

  # Enable OpenGL
  hardware.graphics = {
    enable = true;
    extraPackages = with pkgs; [
      # Used for hardware-acceleration
      intel-media-driver # For Broadwell (2014) or newer processors. LIBVA_DRIVER_NAME=iHD
    ];
  };
}
